Contact Properties
List Contact Properties
List all contact properties defined in your account using the AutoSend API.
GET
/
contact-properties
curl --request GET \
--url https://api.autosend.com/v1/contact-properties \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/contact-properties"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.autosend.com/v1/contact-properties", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
});
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.autosend.com/v1/contact-properties",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.autosend.com/v1/contact-properties", nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.autosend.com/v1/contact-properties"))
.header("Authorization", "Bearer <token>")
.GET()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
require "net/http"
require "uri"
uri = URI.parse("https://api.autosend.com/v1/contact-properties")
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <token>"
response = http.request(request)
puts response.body
{
"success": true,
"message": "Contact properties retrieved successfully",
"data": {
"contactProperties": [
{
"id": "69c258bae3e715c0521153fb",
"name": "isVerified",
"type": "boolean",
"fieldName": "isVerified",
"fieldType": "boolean",
"createdAt": "2026-03-24T09:26:18.826Z",
"updatedAt": "2026-03-24T09:26:18.826Z"
},
{
"id": "6960953e729f65f154369408",
"name": "company",
"type": "string",
"fieldName": "company",
"fieldType": "string",
"createdAt": "2026-01-09T05:42:22.171Z",
"updatedAt": "2026-01-09T05:42:22.171Z"
}
]
}
}
curl --request GET \
--url https://api.autosend.com/v1/contact-properties \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/contact-properties"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.autosend.com/v1/contact-properties", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
});
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.autosend.com/v1/contact-properties",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.autosend.com/v1/contact-properties", nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.autosend.com/v1/contact-properties"))
.header("Authorization", "Bearer <token>")
.GET()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
require "net/http"
require "uri"
uri = URI.parse("https://api.autosend.com/v1/contact-properties")
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <token>"
response = http.request(request)
puts response.body
{
"success": true,
"message": "Contact properties retrieved successfully",
"data": {
"contactProperties": [
{
"id": "69c258bae3e715c0521153fb",
"name": "isVerified",
"type": "boolean",
"fieldName": "isVerified",
"fieldType": "boolean",
"createdAt": "2026-03-24T09:26:18.826Z",
"updatedAt": "2026-03-24T09:26:18.826Z"
},
{
"id": "6960953e729f65f154369408",
"name": "company",
"type": "string",
"fieldName": "company",
"fieldType": "string",
"createdAt": "2026-01-09T05:42:22.171Z",
"updatedAt": "2026-01-09T05:42:22.171Z"
}
]
}
}
Authorizations
Bearer authentication header of the form Bearer
<token>, where <token> is your auth token.Query Parameters
Whether to include built-in reserved fields (email, firstName, lastName, createdAt, userId) in the response. Defaults to
true.Response
Contact properties retrieved successfullyIndicates whether the request was successful.
Confirmation message.Example:
"Contact properties retrieved successfully"Show data
Show data
Array of contact property objects.
Show contactProperty
Show contactProperty
Unique identifier of the contact property.
The programmatic name of the contact property.
The data type:
string, number, boolean, or date.Legacy alias of
name, returned for backward compatibility.Legacy alias of
type, returned for backward compatibility.ISO 8601 timestamp when the property was created.
ISO 8601 timestamp when the property was last updated.
Related topics
Was this page helpful?
⌘I
curl --request GET \
--url https://api.autosend.com/v1/contact-properties \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/contact-properties"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.autosend.com/v1/contact-properties", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
});
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.autosend.com/v1/contact-properties",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.autosend.com/v1/contact-properties", nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.autosend.com/v1/contact-properties"))
.header("Authorization", "Bearer <token>")
.GET()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
require "net/http"
require "uri"
uri = URI.parse("https://api.autosend.com/v1/contact-properties")
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <token>"
response = http.request(request)
puts response.body
{
"success": true,
"message": "Contact properties retrieved successfully",
"data": {
"contactProperties": [
{
"id": "69c258bae3e715c0521153fb",
"name": "isVerified",
"type": "boolean",
"fieldName": "isVerified",
"fieldType": "boolean",
"createdAt": "2026-03-24T09:26:18.826Z",
"updatedAt": "2026-03-24T09:26:18.826Z"
},
{
"id": "6960953e729f65f154369408",
"name": "company",
"type": "string",
"fieldName": "company",
"fieldType": "string",
"createdAt": "2026-01-09T05:42:22.171Z",
"updatedAt": "2026-01-09T05:42:22.171Z"
}
]
}
}